com.h3c.util.net.msg

## Class AbstractQueuedConversationTracker

- java.lang.Object
- - com.h3c.util.net.msg.AbstractConversationTracker
  - - com.h3c.util.net.msg.AbstractQueuedConversationTracker

- All Implemented Interfaces:
    ConversationProvider

      public abstract class AbstractQueuedConversationTracker
      extends AbstractConversationTracker

  An abstract conversation provider that maintains a shared executor for creating queued conversations and keeps track of them using their id.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.util.net.msg.AbstractConversationTracker

      `conversations`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractQueuedConversationTracker()` Create a queued conversation provider/tracker that will use a shared `ThreadPoolExecutor` with pool of 2 executors.
    `protected` | `AbstractQueuedConversationTracker(Executor executor)` Create a queued conversation provider/tracker that will use the specified executor as a shared one among all its queued conversations.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Executor` | `executor()` Get the shared executor provided to the queued conversations.

    - ### Methods inherited from class com.h3c.util.net.msg.AbstractConversationTracker

      `addConversation, conversations, get, removeConversation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.util.net.msg.ConversationProvider

      `newConversation`

- - ### Constructor Detail

    - #### AbstractQueuedConversationTracker

          protected AbstractQueuedConversationTracker()

      Create a queued conversation provider/tracker that will use a shared `ThreadPoolExecutor` with pool of 2 executors.

    - #### AbstractQueuedConversationTracker

          protected AbstractQueuedConversationTracker(Executor executor)

      Create a queued conversation provider/tracker that will use the specified executor as a shared one among all its queued conversations.
      Parameters:
        `executor` - executor for processing messages of queued conversations

  - ### Method Detail

    - #### executor

          public Executor executor()

      Get the shared executor provided to the queued conversations.
      Returns:
        executor shared by all queued conversations

Copyright © 2014. All Rights Reserved.